curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/knowledge/documents \
--header 'Authorization: Bearer <token>'{
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"bytesIngested": 123,
"processingStatus": "<string>",
"processingProgress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"relativePath": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"processingError": "<string>",
"language": "<string>",
"bookmarkMode": "none"
}
],
"total": 123
}List documents in a collection. Requires: Any role in the organization.
curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/knowledge/documents \
--header 'Authorization: Bearer <token>'{
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"bytesIngested": 123,
"processingStatus": "<string>",
"processingProgress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"relativePath": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"processingError": "<string>",
"language": "<string>",
"bookmarkMode": "none"
}
],
"total": 123
}Platform token (starts with pat_)
1 <= x <= 500x >= 0